/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "ui.h"
#include "util/memory.h"
#include "ui/uitextbox.h"

ui_t UI;

void uiInit() {
  memoryZero(&UI, sizeof(ui_t));
  uiTextboxInit();
}

void uiUpdate() {
  uiTextboxUpdate();
}