/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "drawui.h"
#include "ui/ui.h"
#include "ui/uitextbox.h"

void drawUITextbox() {
  if(!UI_TEXTBOX.visible) return;

  DrawRectangle(
    UI_TEXTBOX.x, UI_TEXTBOX.y,
    UI_TEXTBOX.width, UI_TEXTBOX.height,
    Fade(SKYBLUE, 0.5f)
  );

  DrawTextEx(
    FONT,
    UI_TEXTBOX.text,
    (Vector2){ UI_TEXTBOX.x + 2, UI_TEXTBOX.y + 2 },
    FONT.baseSize, 0, BLACK
  );
}