/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef enum {
  UI_FOCUS_TEXTBOX
} uifocus_t;

typedef struct {
  uint8_t nothing;
} ui_t;

extern ui_t UI;

/**
 * Initializes the UI system.
 */
void uiInit();

/**
 * Updates the UI system.
 * This function should be called every frame to update the UI state.
 */
void uiUpdate();